Subject: bug#54034: 29.0.50; Diff prettify broken for empty files

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 29 Jun 2022 22:40:52 +0300

Matthias Meulien [2022-06-29 20:22 +0200] wrote:

> Then it would be possible to introduce a new value for diff-buffer-type,
> dedicated to diff-buffers output, and provide a nice prettification
> dedicated to that case 🤔 Would a single line like "Differences between buffer
> *Help* and *scratch*" be a good idea?

Note that the problem is not specific to 'diff-buffers', but applies
more generally to non-Git clients of 'diff', including file-backed ones
like 'M-x diff' and Dired's '=' binding, 'dired-diff'.

Thanks,

-- 
Basil